@import url("https://fonts.googleapis.com/css?family=Sunflower:300&display=swap");

html,
body {
    font-family: "Sunflower", sans-serif;
    font-size: 16px;
    margin: 0;
    padding: 0;
    height: 100%;
    width: 100%;
}

body {
    background-color: #441166;
    color: #fafafa;

    display: flex;
    align-items: center;
    justify-content: center;

    bottom: 0;
    left: 0;
    right: 0;
    top: 0;
}

@media(min-width: 640px) {
    html {
        font-size: 20px;
    }
}

#genre {
    position: absolute;
}

#genre-box {
    display: flex;
    font-size: 2rem;
    height: 6rem;
    max-height: 6rem;
    min-height: 6rem;
    align-items: center;
    justify-content: center;
}

#regenerate {
    all: unset;
    background-color: rgba(255, 255, 255, .25);
    border-radius: 1rem;
    cursor: pointer;
    display: inline-block;
    font-size: .85rem;
    margin: 0 auto;
    padding: .5rem;
    user-select: none;
    width: 5rem;
    -moz-user-select: none;
    -ms-user-select: none;
    -webkit-user-select: none;
    transition: background-color .25s;

    &:hover {
        background-color: rgba(255, 255, 255, .4);
    }
}

#title {
    font-size: 1.5rem;
    opacity: .75;
}

main {
    background-color: rgba(255, 255, 255, .1);
    border: 1px solid rgba(255, 255, 255, .05);
    border-radius: 2rem;
    display: flex;
    flex-direction: column;
    padding: 1rem 2rem;
    text-align: center;
}